# GENERAL TAB
optionsEditor.item.General.view.UI = treeTableNodeUI
optionsEditor.item.General.view.expandLevel = 1
optionsEditor.item.General.order = 5
optionsEditor.item.General.condition = isGlobalOptions()
optionsEditor.item.General.view.description = ["general/general_description"]

application.workspace = Developer
optionsEditor.item.General.item.workspace = ChoiceField(
\  {
\     values := { "Business Modeler", "Designer", "Developer", "Programmer" }
\  }
\)
optionsEditor.item.General.item.workspace.condition = isDefaultOptions()
optionsEditor.item.General.item.workspace.name = ["general/workspace"]
optionsEditor.item.General.item.workspace.view.description = ["general/workspace_description"]
optionsEditor.item.General.item.workspace.propertyName = application.workspace
optionsEditor.item.General.item.workspace.order = 2

inspector.support.config = true
optionsEditor.item.General.item.inspector = BooleanField
optionsEditor.item.General.item.inspector.name = ["general/inspector"]
optionsEditor.item.General.item.inspector.propertyName = inspector.support.config
optionsEditor.item.General.item.inspector.order = 3

plaf.current = Metal

plaf.metal.color.UseSystemColor = false
optionsEditor.item.General.item.useSystemColor = BooleanField
optionsEditor.item.General.item.useSystemColor.name = ["general/useSystemColor"]
optionsEditor.item.General.item.useSystemColor.order = 5
optionsEditor.item.General.item.useSystemColor.propertyName = plaf.metal.color.UseSystemColor
optionsEditor.item.General.item.useSystemColor.view.description = ["general/useSystemColor_description"]

optionsEditor.item.General.item.fontProperty.name = ["general/fontProperty"]
optionsEditor.item.General.item.fontProperty.order = 10
optionsEditor.item.General.item.fontProperty.view.description = ["general/fontProperty_description"]

plaf.metal.font.name = SansSerif
optionsEditor.item.General.item.fontProperty.item.fontName = FontNameField
optionsEditor.item.General.item.fontProperty.item.fontName.name = ["general/fontName"]
optionsEditor.item.General.item.fontProperty.item.fontName.order = 10
optionsEditor.item.General.item.fontProperty.item.fontName.propertyName = plaf.metal.font.name
optionsEditor.item.General.item.fontProperty.item.fontName.view.description = ["general/fontName_description"]

plaf.metal.font.italic = false
optionsEditor.item.General.item.fontProperty.item.fontItalic = BooleanField
optionsEditor.item.General.item.fontProperty.item.fontItalic.name = ["general/italic"]
optionsEditor.item.General.item.fontProperty.item.fontItalic.order = 20
optionsEditor.item.General.item.fontProperty.item.fontItalic.propertyName = plaf.metal.font.italic
optionsEditor.item.General.item.fontProperty.item.fontItalic.view.description = ["general/italic_description"]

plaf.metal.font.bold = false
optionsEditor.item.General.item.fontProperty.item.fontBold = BooleanField
optionsEditor.item.General.item.fontProperty.item.fontBold.name = ["general/bold"]
optionsEditor.item.General.item.fontProperty.item.fontBold.order = 30
optionsEditor.item.General.item.fontProperty.item.fontBold.propertyName = plaf.metal.font.bold
optionsEditor.item.General.item.fontProperty.item.fontBold.view.description = ["general/bold_description"]

plaf.metal.font.size = 11
optionsEditor.item.General.item.fontProperty.item.fontSize = FontSizeField
optionsEditor.item.General.item.fontProperty.item.fontSize.name = ["general/fontSize"]
optionsEditor.item.General.item.fontProperty.item.fontSize.order = 40
optionsEditor.item.General.item.fontProperty.item.fontSize.propertyName = plaf.metal.font.size
optionsEditor.item.General.item.fontProperty.item.fontSize.view.description = ["general/fontSize_description"]

project.autoOpenLast=false
optionsEditor.item.General.item.Auto Open Last Project.name = ["general/autoOpenLastProject"]
optionsEditor.item.General.item.Auto Open Last Project = BooleanField
optionsEditor.item.General.item.Auto Open Last Project.propertyName = project.autoOpenLast
optionsEditor.item.General.item.Auto Open Last Project.order = 15
optionsEditor.item.General.item.Auto Open Last Project.view.description=["general/autoOpenLastProject_description"]

# "Look and Feel" option

application.save_caches_on_focus_lost = true
optionsEditor.item.General.item.Save Caches On Focus Lost.name = ["general/saveCachesOnFocusLost"]
optionsEditor.item.General.item.Save Caches On Focus Lost = BooleanField
optionsEditor.item.General.item.Save Caches On Focus Lost.propertyName = application.save_caches_on_focus_lost
optionsEditor.item.General.item.Save Caches On Focus Lost.order = 20
optionsEditor.item.General.item.Save Caches On Focus Lost.view.description=["general/saveCachesOnFocusLost_description"]

application.synchronize_on_focus_gained = true
optionsEditor.item.General.item.synchronizeOnFocusGained.name = ["general/synchronizeOnFocusGained"]
optionsEditor.item.General.item.synchronizeOnFocusGained = BooleanField
optionsEditor.item.General.item.synchronizeOnFocusGained.propertyName = application.synchronize_on_focus_gained
optionsEditor.item.General.item.synchronizeOnFocusGained.order = 25
optionsEditor.item.General.item.synchronizeOnFocusGained.view.description=["general/synchronizeOnFocusGained_description"]

application.save_desktop_on_project_closed = true
optionsEditor.item.General.item.Save Desktop On Project Closed.name = ["general/saveDesktopOnProjectClosed"]
optionsEditor.item.General.item.Save Desktop On Project Closed = BooleanField
optionsEditor.item.General.item.Save Desktop On Project Closed.propertyName = application.save_desktop_on_project_closed
optionsEditor.item.General.item.Save Desktop On Project Closed.order = 30
optionsEditor.item.General.item.Save Desktop On Project Closed.view.description=["general/saveDesktopOnProjectClosed_description"]

io.defaultIgnoreMask = CVS;SCCS;rcs;RCS;Debug;Release;BoleroExchange
optionsEditor.item.General.item.Default Ignore Mask.name = ["general/defaultIgnoreMask"]
optionsEditor.item.General.item.Default Ignore Mask = StringField
optionsEditor.item.General.item.Default Ignore Mask.propertyName = io.defaultIgnoreMask
optionsEditor.item.General.item.Default Ignore Mask.order = 35
optionsEditor.item.General.item.Default Ignore Mask.view.description=["general/defaultIgnoreMask_description"]


# "Delete confirmation" option
optionsEditor.item.General.item.Confirm Delete.order = 40
optionsEditor.item.General.item.Confirm Delete.name = ["general/confirmDelete"]
optionsEditor.item.General.item.Confirm Delete.view.description=["general/confirmDelete_description"]

option.confirmdelete.class = true
optionsEditor.item.General.item.Confirm Delete.item.Class.name = ["general/confirmDeleteClass"]
optionsEditor.item.General.item.Confirm Delete.item.Class = BooleanField
optionsEditor.item.General.item.Confirm Delete.item.Class.propertyName = option.confirmdelete.class
optionsEditor.item.General.item.Confirm Delete.item.Class.order = 10
optionsEditor.item.General.item.Confirm Delete.item.Class.view.description=["general/confirmDeleteClass_description"]

option.confirmdelete.diagram = true
optionsEditor.item.General.item.Confirm Delete.item.Diagram.name = ["general/confirmDeleteDiagram"]
optionsEditor.item.General.item.Confirm Delete.item.Diagram = BooleanField
optionsEditor.item.General.item.Confirm Delete.item.Diagram.propertyName = option.confirmdelete.diagram
optionsEditor.item.General.item.Confirm Delete.item.Diagram.order = 20
optionsEditor.item.General.item.Confirm Delete.item.Diagram.view.description=["general/confirmDeleteDiagram_description"]

option.confirmdelete.package = true
optionsEditor.item.General.item.Confirm Delete.item.Physical Package.name = ["general/confirmDeletePhysicalPackage"]
optionsEditor.item.General.item.Confirm Delete.item.Physical Package = BooleanField
optionsEditor.item.General.item.Confirm Delete.item.Physical Package.propertyName = option.confirmdelete.package
optionsEditor.item.General.item.Confirm Delete.item.Physical Package.order = 30
optionsEditor.item.General.item.Confirm Delete.item.Physical Package.view.description=["general/confirmDeletePhysicalPackage_description"]

optionsEditor.item.General.item.New Project.order               = 50
optionsEditor.item.General.item.New Project.name                = ["general/newProject"]
optionsEditor.item.General.item.New Project.view.description    = ["general/newProject_description"]

project.new.locationDefault = $TOGETHER_HOME$/myprojects

optionsEditor.item.General.item.New Project.item.New Project Location.name = ["general/newProjectLocation"]
optionsEditor.item.General.item.New Project.item.New Project Location = StringField
optionsEditor.item.General.item.New Project.item.New Project Location.propertyName = project.new.location
optionsEditor.item.General.item.New Project.item.New Project Location.order = 10
optionsEditor.item.General.item.New Project.item.New Project Location.view.description=["general/newProjectLocation_description"]

project.default.InitialDiagram = ClassDiagram
optionsEditor.item.General.item.New Project.item.New Project Initial Diagram.name = ["general/newProjectInitialDiagram"]
optionsEditor.item.General.item.New Project.item.New Project Initial Diagram = ChoiceField(
\   {
\     values := diagramTypes(),
\     names := diagramNames(),
;\     icons := diagramIcons("small")
\   }
\ )
optionsEditor.item.General.item.New Project.item.New Project Initial Diagram.propertyName = project.default.InitialDiagram
optionsEditor.item.General.item.New Project.item.New Project Initial Diagram.order = 20
optionsEditor.item.General.item.New Project.item.New Project Initial Diagram.view.description=["general/newProjectInitialDiagram_description"]

project.new.includeStandardLibraries = true
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.name = ["general/newProjectIncludeStandardLibs"]
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries = BooleanField
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.propertyName = project.new.includeStandardLibraries
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.order = 30
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.view.description=["general/newProjectIncludeStandardLibs_description"]

project.new.standardLibraries = javax.jar
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Libraries.name = ["general/newProjectStandardLibs"]
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Libraries = StringField
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Libraries.propertyName = project.new.standardLibraries
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Libraries.order = 10
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Libraries.view.description=["general/newProjectStandardLibs_description"]

project.new.standardPaths =
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Paths.name = ["general/newProjectStandardPaths"]
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Paths = PathEditorField
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Paths.propertyName = project.new.standardPaths
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Paths.order = 15
optionsEditor.item.General.item.New Project.item.New Project Include Standard Libraries.item.New Project Standard Paths.view.description = ["general/newProjectStandardPaths_description"]

project.new.includeComponents = false
optionsEditor.item.General.item.New Project.item.New Project Include Components.name = ["general/newProjectIncludeComponents"]
optionsEditor.item.General.item.New Project.item.New Project Include Components = BooleanField
optionsEditor.item.General.item.New Project.item.New Project Include Components.propertyName = project.new.includeComponents
optionsEditor.item.General.item.New Project.item.New Project Include Components.order = 35
optionsEditor.item.General.item.New Project.item.New Project Include Components.view.description=["general/newProjectIncludeComponents_description"]

project.new.components = $TOGETHER_HOME$/modules/components/CoadModelingComponents
optionsEditor.item.General.item.New Project.item.New Project Include Components.item.New Project Components.name = ["general/newProjectComponents"]
optionsEditor.item.General.item.New Project.item.New Project Include Components.item.New Project Components = StringField
optionsEditor.item.General.item.New Project.item.New Project Include Components.item.New Project Components.propertyName = project.new.components
optionsEditor.item.General.item.New Project.item.New Project Include Components.item.New Project Components.order = 10
optionsEditor.item.General.item.New Project.item.New Project Include Components.item.New Project Components.view.description=["general/newProjectComponents_description"]

project.confirmClose = true
optionsEditor.item.General.item.Confirm Close Project.name = ["general/confirmCloseProject"]
optionsEditor.item.General.item.Confirm Close Project = BooleanField
optionsEditor.item.General.item.Confirm Close Project.propertyName = project.confirmClose
optionsEditor.item.General.item.Confirm Close Project.order = 55
optionsEditor.item.General.item.Confirm Close Project.view.description = ["general/confirmCloseProject_description"]

project.confirmConvert = true
;optionsEditor.item.General.item.Confirm Convert Project From Old Format.name = ["general/confirmConvertProject"]
;optionsEditor.item.General.item.Confirm Convert Project From Old Format = BooleanField
;optionsEditor.item.General.item.Confirm Convert Project From Old Format.propertyName = project.confirmConvert
;optionsEditor.item.General.item.Confirm Convert Project From Old Format.order = 55
;optionsEditor.item.General.item.Confirm Convert Project From Old Format.view.description = ["general/confirmConvertProject_description"]

messageSystem.openMessagePaneOnError = true
optionsEditor.item.General.item.Open Message Pane On Error.name = ["general/openMessagePaneOnError"]
optionsEditor.item.General.item.Open Message Pane On Error = BooleanField
optionsEditor.item.General.item.Open Message Pane On Error.propertyName = messageSystem.openMessagePaneOnError
optionsEditor.item.General.item.Open Message Pane On Error.order = 60
optionsEditor.item.General.item.Open Message Pane On Error.view.description = ["general/openMessagePaneOnError_description"]

;Whether to show "Internal Error Detected" dialog
optionsEditor.item.General.item.DiagnosticMail.name = ["general/DiagnosticMail"]
optionsEditor.item.General.item.DiagnosticMail = BooleanField
optionsEditor.item.General.item.DiagnosticMail.propertyName = diagnostic.mail.enabled
optionsEditor.item.General.item.DiagnosticMail.order = 70
optionsEditor.item.General.item.DiagnosticMail.view.description = ["general/DiagnosticMail_description"]
#This s option defines whether network scan for togehter hosts should be performed
networkscanner.enabled = false
optionsEditor.item.General.item.NetworkScanner.name = ["general/NetworkScanner"]
optionsEditor.item.General.item.NetworkScanner = BooleanField
optionsEditor.item.General.item.NetworkScanner.propertyName = networkscanner.enabled
optionsEditor.item.General.item.NetworkScanner.order = 75
optionsEditor.item.General.item.NetworkScanner.view.description = ["general/NetworkScanner_description"]



# This option defines whether Tg should scan archives while searching for diagrams
diagram.searchInArchives = false

optionsEditor.item.General.item.Search In Archives.name = ["general/searchInArchives"]
optionsEditor.item.General.item.Search In Archives = BooleanField
optionsEditor.item.General.item.Search In Archives.propertyName = diagram.searchInArchives
optionsEditor.item.General.item.Search In Archives.order = 80
optionsEditor.item.General.item.Search In Archives.view.description = ["general/searchInArchives_description"]

language.idl_variant = idl
language.idl_variant.meta = { final:="true" }

# This option defines whether Tg should open diagram in new tab when double clicked on model tree
diagram.openInNewTab = false

optionsEditor.item.General.item.Open Diagram in New Tab.name = ["general/openInNewTab"]
optionsEditor.item.General.item.Open Diagram in New Tab = BooleanField
optionsEditor.item.General.item.Open Diagram in New Tab.propertyName = diagram.openInNewTab
optionsEditor.item.General.item.Open Diagram in New Tab.order = 90
optionsEditor.item.General.item.Open Diagram in New Tab.view.description = ["general/openInNewTab_description"]

# This option defines whether Tg should display FQ names on model tree

optionsEditor.item.General.item.Show Nodes FQ.name = ["general/showNodesFQ"]
optionsEditor.item.General.item.Show Nodes FQ = BooleanField
optionsEditor.item.General.item.Show Nodes FQ.propertyName = model.showTopNodesFQ
optionsEditor.item.General.item.Show Nodes FQ.order = 100
optionsEditor.item.General.item.Show Nodes FQ.view.description = ["general/showNodesFQ_description"]

model.showTopNodesFQ = true
